View Issue Details

IDProjectCategoryView StatusLast Update
0015614CentOS-7PyYAMLpublic2018-12-19 19:45
Reporterrchekaluk 
PriorityhighSeveritytweakReproducibilityalways
Status newResolutionopen 
PlatformOSCentOSOS Version7.6.1810 (Core)
Product Version 
Target VersionFixed in Version 
Summary0015614: Package PyYAML-3.10-11.el7.x86_64 is obsoleted by python-pyyaml-3.11-2.x86_64
DescriptionUnable to install package atomic-registries:
$ sudo yum install atomic-registries
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: mirrors.mit.edu
 * extras: mirror.wdc1.us.leaseweb.net
 * updates: mirrors.mit.edu
Resolving Dependencies
--> Running transaction check
---> Package atomic-registries.x86_64 1:1.22.1-26.gitb507039.el7.centos will be installed
--> Processing Dependency: python-yaml for package: 1:atomic-registries-1.22.1-26.gitb507039.el7.centos.x86_64
Package PyYAML-3.10-11.el7.x86_64 is obsoleted by python-pyyaml-3.11-2.x86_64 which is already installed
--> Processing Dependency: python-pytoml for package: 1:atomic-registries-1.22.1-26.gitb507039.el7.centos.x86_64
--> Running transaction check
---> Package atomic-registries.x86_64 1:1.22.1-26.gitb507039.el7.centos will be installed
--> Processing Dependency: python-yaml for package: 1:atomic-registries-1.22.1-26.gitb507039.el7.centos.x86_64
Package PyYAML-3.10-11.el7.x86_64 is obsoleted by python-pyyaml-3.11-2.x86_64 which is already installed
---> Package python-pytoml.noarch 0:0.1.14-1.git7dea353.el7 will be installed
--> Finished Dependency Resolution
Error: Package: 1:atomic-registries-1.22.1-26.gitb507039.el7.centos.x86_64 (extras)
           Requires: python-yaml
           Available: PyYAML-3.10-11.el7.x86_64 (base)
               python-yaml = 3.10-11.el7
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

atomic-registries has the following dependencies:
repoquery --requires atomic-registries
/usr/bin/python
python(abi) = 2.7
python-pytoml
python-setuptools
python-yaml

Apparently package python-yaml is a synonym for PyYAML, however "Package PyYAML-3.10-11.el7.x86_64 is obsoleted by python-pyyaml-3.11-2.x86_64 which is already installed"
Steps To Reproduce$ sudo yum remove PyYAML
$ sudo yum remove python-pyyaml
$ sudo yum remove python-yaml
$ sudo yum install atomic-registries
Tagsdocker, python
abrt_hash
URL

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2018-12-19 19:45 rchekaluk New Issue
2018-12-19 19:45 rchekaluk Tag Attached: docker
2018-12-19 19:45 rchekaluk Tag Attached: python